Bug 1741457 - re2 update broke Webengine module in Konqueror
Summary: re2 update broke Webengine module in Konqueror
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: re2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Arnaud
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-15 08:18 UTC by Kevin Wolf
Modified: 2019-11-27 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:13:54 UTC


Attachments (Terms of Use)

Description Kevin Wolf 2019-08-15 08:18:05 UTC
My Fedora 29 system received an update of the re2 package from re2-20160401-7.fc29.x86_64 to re2-20190801-1.fc29.x86_64. With the new package, I only receive an error message in Konqueror when accessing a web site because the Webengine KPart cannot be loaded any more:

Es ist ein Fehler beim Laden von Modul Webengine aufgetreten.
Die vermutliche Ursache ist:
Cannot load library /usr/lib64/qt5/plugins/kf5/parts/webenginepart.so: (/lib64/libQt5WebEngineCore.so.5: undefined symbol: _ZN3re23RE23Arg9parse_intEPKciPv)

$ c++filt 
_ZN3re23RE23Arg9parse_intEPKciPv
re2::RE2::Arg::parse_int(char const*, int, void*)

Apparently this library made an incompatible change to its interface and broke its dependencies this way.

Downgrading only the re2 package back to re2-20160401-7.fc29.x86_64 fixes the problem for me.

Comment 1 Denis Arnaud 2019-08-15 19:32:15 UTC
Thanks for the report!
Yes, that is a known issue, reported and tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1672014

Comment 2 Denis Arnaud 2019-08-15 19:35:45 UTC
The update is https://bodhi.fedoraproject.org/updates/FEDORA-2019-605dfb7384 (and the corresponding successful build https://koji.fedoraproject.org/koji/buildinfo?buildID=1355889)

Comment 3 Ben Cotton 2019-10-31 18:57:08 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 23:13:54 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.